---
title: Editor UI elements
slug: MDN/Editor/Basics
tags:
  - Beginner
  - Documentation
  - Guide
  - MDN
  - MDN Meta
  - editor
---
<div>{{MDNSidebar}}</div>

<p><span class="seoSummary">The built-in WYSIWYG editor on MDN is designed to make it as easy as possible to create, edit, and improve articles and other pages almost anywhere on the site.</span> The editor window, shown below, consists of eight key areas. This guide provides information about each section so you know how to use our entire editing environment.</p>

<div class="note">
<p>We're constantly working on improvements to MDN, so there will be times when this documentation or the screen shots below may be slightly out-of-date. We'll periodically update this documentation, though, to avoid it being unusably behind.</p>
</div>

<p><img alt="Screenshot of the editor UI (August 2017) with each section labeled" src="https://mdn.mozillademos.org/files/15261/edit-page-with-labels.png" style="border-style: solid; border-width: 2px; height: 723px; width: 808px;"></p>

<p>The editor UI contains the following sections, as shown above. Click a link below to read about that section of the editor.</p>

<ul>
	<li><a href="/en-US/docs/MDN/Contribute/Editor/Basics/Page_info">Page info</a></li>
	<li><a href="/en-US/docs/MDN/Contribute/Editor/Basics/Page_controls">Page controls</a></li>
	<li><a href="/en-US/docs/MDN/Contribute/Editor/Basics/Toolbar">Toolbar</a></li>
	<li><a href="/en-US/docs/MDN/Contribute/Editor/Basics#Edit_box">Edit box</a></li>
	<li><a href="/en-US/docs/MDN/Contribute/Editor/Basics/Tags">Tags</a></li>
	<li><a href="#Revision_comment">Revision comment</a></li>
	<li><a href="#Review_requests">Review requests</a></li>
	<li><a href="/en-US/docs/MDN/Contribute/Editor/Basics/Attachments">Attachments</a></li>
</ul>

<h2 id="Edit_box">Edit box</h2>

<p>The edit box is, of course, where you actually do your writing.</p>

<p>Right-clicking in the editor box offers appropriate additional options depending on the context of your click: right-clicking in a table offers table-related options and right-clicking in a list offers list-related options, for example. By default, the editor uses its own contextual menu when you right-click on the editor. To access your browser's default contextual menu (such as to access the Firefox spell checker's list of suggested corrections), hold down the <kbd>Shift</kbd> or <kbd>Control</kbd> key (the <kbd>Command</kbd> key on Mac OS X) while clicking.</p>

<p>When working in the edit box, you can use its <a href="/en-US/docs/MDN/Contribute/Editor/Edit_box">keyboard shortcuts</a>.</p>

<h2 id="Revision_comment">Revision comment</h2>

<p>After you've made your changes, it's strongly recommended you add a comment to your revision. This is displayed in the revision history for the page, as well as on the <a href="/en-US/dashboards/revisions">Revision Dashboard</a>. It helps to explain or justify your changes to others that may review your work later. To add a revision comment, type the note into the revision comment box before clicking either of the <strong>Publish</strong> buttons at the top or bottom of the page.</p>

<p>There are a few reasons this is helpful:</p>

<ul>
	<li>If the reason for your change isn't obvious, your note can explain the reasoning to others.</li>
	<li>If your change is technically complex, it can explain to editors the logic behind it; this can include a bug number, for example, that editors can refer to for more information.</li>
	<li>If your edit involves deleting a large amount of content, you can justify the deletion (for example, "I moved this content to article X").</li>
</ul>

<h2 id="Review_requests">Review requests</h2>

<p>The MDN community uses <strong>reviews</strong> to try to monitor and improve the quality of MDN's content. This works by setting a flag on an article indicating that a review is needed. You can learn more about <a href="/en-US/docs/MDN/Contribute/Howto/Do_a_technical_review">technical reviews</a> and <a href="/en-US/docs/MDN/Contribute/Howto/Do_an_editorial_review">editorial review</a> in the <a href="/en-US/docs/MDN/Contribute/Howto">How to</a> guides.</p>

<p>To request a review on the article you've worked on, toggle on the checkbox next to the type of review that's needed. Technical reviews should be requested any time you make changes to the explanation of how something technical works, while editorial reviews are a good idea when you've made changes and would like someone to review your writing and style choices.</p>

<p>While selecting a review checkbox adds the article to the lists of those <a href="/en-US/docs/needs-review/technical">needing technical review</a> or <a href="/en-US/docs/needs-review/editorial">needing editorial review</a>, it does not guarantee that anyone will immediately review the article. For technical reviews, it's a good idea to directly contact a <a href="/en-US/docs/MDN/Community/Roles/Subject-matter_experts">subject-matter expert</a> in the relevant technical area. For editorial reviews, you can post in the <a href="https://discourse.mozilla.org/c/mdn">MDN discussion forum</a> to request that someone review your changes.</p>

<p>Be sure to click one of the <strong>Publish</strong> buttons after making your selections, to commit your review request.</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="https://docs.ckeditor.com/">CKEditor User's Guide</a></li>
</ul>

<h6 id="EditorGuideQuicklinks">{{EditorGuideQuicklinks}}</h6>
